[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectReader.BeginProperty

Marks the reading of a property value.

## Declaration

Source position: classesh.inc line 1106

`public function TAbstractObjectReader.BeginProperty: string; virtual; abstract;`

## Description

BeginProperty is called by the streaming system when it wants to read a new property. The return value of the function is the name of the property which can be read from the stream.

## See also

TAbstractObjectReader.BeginComponent |  | Marks the reading of a new component.

Documentation generated on: Feb 26 2014